%define scl rh-python36
%{?scl:%scl_package %{name}}
%{!?scl:%global pkg_name %{name}}

%define name oslo.serialization
%define version 2.29.1
%define unmangled_version 2.29.1
%define unmangled_version 2.29.1
%define release 1

Summary: Oslo Serialization library
%{?scl:Requires: %{scl}-runtime}
%{?scl:BuildRequires: %{scl}-runtime}
Name: %{?scl_prefix}oslo.serialization
Version: %{version}
Release: %{release}
Source0: oslo.serialization-%{unmangled_version}.tar.gz
License: UNKNOWN
Group: Development/Libraries
BuildRoot: %{_tmppath}/oslo.serialization-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: OpenStack <openstack-discuss@lists.openstack.org>
Packager: Martin Juhl <m@rtinjuhl.dk>
Url: https://docs.openstack.org/oslo.serialization/latest/


%description
========================
Team and repository tags
========================

.. image:: https://governance.openstack.org/tc/badges/oslo.serialization.svg
    :target: https://governance.openstack.org/tc/ference/tags/index.html

.. Change things from this point on

===================
 oslo.serialization
===================

.. image:: https://img.shields.io/pypi/v/oslo.serialization.svg
    :target: https://pypi.org/project/oslo.serialization/
    :alt: Latest Version

.. image:: https://img.shields.io/pypi/dm/oslo.serialization.svg
    :target: https://pypi.org/project/oslo.serialization/
    :alt: Downloads

The oslo.serialization library provides support for representing objects
in transmittable and storable formats, such as Base64, JSON and MessagePack.

* Free software: Apache license
* Documentation: https://docs.openstack.org/oslo.serialization/latest/
* Source: https://git.openstack.org/cgit/openstack/oslo.serialization
* Bugs: https://bugs.launchpad.net/oslo.serialization
* Release notes: https://docs.openstack.org/releasenotes/oslo.serialization/




%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%setup -n oslo.serialization-%{unmangled_version} -n oslo.serialization-%{unmangled_version}
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
python3 setup.py build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
python3 setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
%{?scl:EOF}


%clean
%{?scl:scl enable %{scl} - << \EOF}
set -ex
rm -rf $RPM_BUILD_ROOT
%{?scl:EOF}


%files -f INSTALLED_FILES
%defattr(-,root,root)
